<?php

use Aheto\Helper;

add_action('aheto_before_aheto_banner-slider_register', 'djo_banner_slider_layout1');

/**
 * Features Banner Slider
 */

function djo_banner_slider_layout1($shortcode) {
	$dir = DJO_T_URI . '/aheto/banner-slider/previews/';

	$shortcode->add_layout('cs_layout1', [
		'title' => esc_html__('Djo Modern', 'djo'),
		'image' => $dir . 'cs_layout1.jpg',
	]);
	djo_add_dependency(['use_heading', 't_heading'], ['cs_layout1'], $shortcode);
	djo_add_dependency('t_heading', ['cs_layout1'], $shortcode);
	$shortcode->depedency['overlay_color']['overlay'][] = 'true';

	$shortcode->add_dependecy('cs_subtitle_use_typo', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_subtitle_typo', 'cs_subtitle_use_typo', 'true');
	$shortcode->add_dependecy('cs_djo_modern_banners', 'template', 'cs_layout1');
	$shortcode->add_params([
		'cs_djo_modern_banners' => [
			'type'    => 'group',
			'heading' => esc_html__('Banners', 'djo'),
			'params'  => [
				'cs_image'         => [
					'type'    => 'attach_image',
					'heading' => esc_html__('Background Image', 'djo'),
				],
				'cs_overlay'       => [
					'type'    => 'switch',
					'heading' => esc_html__('Enable overlay for background image?', 'djo'),
					'grid'    => 12,
				],
				'cs_overlay_color' => [
					'type'    => 'colorpicker',
					'heading' => esc_html__('Overlay Color', 'djo'),
					'grid'    => 12,
					'default' => ''
				],
				'cs_desc'          => [
					'type'    => 'text',
					'heading' => esc_html__('Subtitle', 'djo'),
				],
				'cs_title'         => [
					'type'    => 'text',
					'heading' => esc_html__('Title', 'djo'),
				],
				'cs_align'         => [
					'type'    => 'select',
					'heading' => esc_html__('Align', 'djo'),
					'options' => \Aheto\Helper::choices_alignment(),
				],
				'cs_title_tag'     => [
					'type'    => 'select',
					'heading' => esc_html__('Element tag for Title', 'djo'),
					'options' => [
						'h1'  => 'h1',
						'h2'  => 'h2',
						'h3'  => 'h3',
						'h4'  => 'h4',
						'h5'  => 'h5',
						'h6'  => 'h6',
						'p'   => 'p',
						'div' => 'div',
					],
					'default' => 'h1',
					'grid'    => 5,
				],
			]
		],
		'cs_subtitle_use_typo'  => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Subtitle?', 'djo'),
			'grid'    => 3,
		],
		'cs_subtitle_typo'      => [
			'type'     => 'typography',
			'group'    => 'Banner Subtitle Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-banner-slider__desc',
		],
	]);
	\Aheto\Params::add_button_params($shortcode, [
		'prefix' => 'cs_main_',
	], 'cs_djo_modern_banners');

	\Aheto\Params::add_carousel_params($shortcode, [
		'custom_options' => true,
		'prefix'         => 'cs_swiper_',
		'include'        => ['effect', 'arrows', 'speed', 'loop', 'autoplay', 'lazy', 'simulate_touch'],
		'dependency'     => ['template', ['cs_layout1']]
	]);
}

function djo_banner_slider_layout1_dynamic_css($css, $shortcode) {
	if ( !empty($shortcode->atts['cs_subtitle_use_typo']) && !empty($shortcode->atts['cs_subtitle_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-heading__subtitle'], $shortcode->parse_typography($shortcode->atts['cs_subtitle_typo']));
	}

	return $css;
}

add_filter('aheto_banner_slider_dynamic_css', 'djo_banner_slider_layout1_dynamic_css', 10, 2);
