<?php

use Aheto\Helper;

add_action('aheto_before_aheto_coming-soon_register', 'djo_coming_soon_layout1');

/**
 * Coming Soon shortcode
 */

function djo_coming_soon_layout1($shortcode) {
	$theme_dir = DJO_T_URI . '/aheto/coming-soon/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Djo Style', 'djo' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	]);
	djo_add_dependency('light', ['cs_layout1'], $shortcode);
	djo_add_dependency('time_out', ['cs_layout1'], $shortcode);
	djo_add_dependency('days_desktop', ['cs_layout1'], $shortcode);
	djo_add_dependency('days_mobile', ['cs_layout1'], $shortcode);
	djo_add_dependency('hours_desktop', ['cs_layout1'], $shortcode);
	djo_add_dependency('hours_mobile', ['cs_layout1'], $shortcode);
	djo_add_dependency('mins_desktop', ['cs_layout1'], $shortcode);
	djo_add_dependency('mins_mobile', ['cs_layout1'], $shortcode);
	djo_add_dependency('secs_desktop', ['cs_layout1'], $shortcode);
	djo_add_dependency('secs_mobile', ['cs_layout1'], $shortcode);
	djo_add_dependency(['use_typo_numbers', 'typo_numbers'], ['cs_layout1'], $shortcode);
	djo_add_dependency(['use_typo_caption', 'typo_caption'], ['cs_layout1'], $shortcode);
	$shortcode->add_dependecy( 'cs_use_dot', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_dot_typo', 'cs_use_dot', 'true' );
	$shortcode->add_params( [
		'cs_use_dot' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for dot?', 'djo' ),
			'grid'    => 6,
		],

		'cs_dot_typo' => [
			'type'     => 'typography',
			'group'    => 'Dot Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-coming-soon__dots',
		],
	] );
}
function djo_coming_soon_layout1_dynamic_css($css, $shortcode) {

	if ( !empty($shortcode->atts['cs_use_dot']) && !empty($shortcode->atts['cs_dot_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-coming-soon__dots'], $shortcode->parse_typography($shortcode->atts['cs_dot_typo']));
	}

	return $css;
}

add_filter('aheto_coming_soon_dynamic_css', 'djo_coming_soon_layout1_dynamic_css', 10, 2);
