<?php

use Aheto\Helper;

add_action('aheto_before_aheto_contact-forms_register', 'djo_contact_forms_layout2');

/**
 * Contact forms Shortcode
 */

function djo_contact_forms_layout2($shortcode) {
	$theme_dir = DJO_T_URI . '/aheto/contact-forms/previews/';

	$shortcode->add_layout( 'cs_layout2', [
		'title' => esc_html__( 'Djo Classic', 'djo' ),
		'image' => $theme_dir . 'cs_layout2.jpg',
	] );
	djo_add_dependency('bg_color_fields', ['cs_layout2'], $shortcode);
	djo_add_dependency('title', ['cs_layout2'], $shortcode);
	djo_add_dependency(['use_title_typo', 'title_typo'], ['cs_layout2'], $shortcode);
	djo_add_dependency('count_input', ['cs_layout2'], $shortcode);
	djo_add_dependency('button_align', ['cs_layout2'], $shortcode);
	djo_add_dependency('full_width_button', ['cs_layout2'], $shortcode);

	$shortcode->add_dependecy( 'cs_title_tag', 'template', 'cs_layout2' );

	$shortcode->add_params([

		'cs_title_tag' => [
			'type'    => 'select',
			'heading' => esc_html__( 'Element tag for Title', 'djo' ),
			'options' => [
				'h1'  => 'h1',
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'p'   => 'p',
				'div' => 'div',
			],
			'default' => 'h3',
			'grid'    => 5,
		],

	]);
}
function djo_contact_forms_layout2_button( $form_button ) {

	$form_button['dependency'][1][] = 'cs_layout2';

	return $form_button;
}

add_filter( 'aheto_button_contact-forms', 'djo_contact_forms_layout2_button', 10, 2 );
