<?php
/**
 * Contact Forms default templates.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract( $atts );

$this->generate_css();

// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', 'widget widget_aheto__cf--djo__subscribe-simple' );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );

$underline = isset($underline) && $underline ? 'underline' : '';
$title_space = isset($title_space) && $title_space ? 'smaller-space' : '';

$this->add_render_attribute( 'title', 'class', 'widget_aheto__title' );
$this->add_render_attribute( 'title', 'class', $underline );
$this->add_render_attribute( 'title', 'class', $title_space );

/**
 * Set dependent style
 */
$sc_dir = DJO_T_URI . '/aheto/contact-forms/';
wp_enqueue_style('djo-subscribe-simple', $sc_dir . 'assets/css/cs_layout1.css', null, null);
if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) : ?>
	<link href="<?php echo $sc_dir . 'assets/css/cs_layout1.css'?>" rel="stylesheet">
<?php endif; ?>

<div <?php $this->render_attribute_string( 'wrapper' ); ?>>


	<div class="widget_aheto__form">

		<?php if ( !empty( $contact_form ) ) : ?>
            <div class="<?php echo Helper::get_button($this, $atts, 'form_', true); ?>">
				<?php echo do_shortcode( '[contact-form-7 id="' . esc_attr( $contact_form ) . '"]' ); ?>
            </div>
		<?php endif; ?>

	</div>

</div>
