<?php

use Aheto\Helper;

add_action('aheto_before_aheto_contacts_register', 'djo_contacts_layout1');

/**
 * Contacts shortcode
 */

function djo_contacts_layout1($shortcode) {
	$theme_dir = DJO_T_URI . '/aheto/contacts/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Djo Modern', 'djo' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );

	$shortcode->add_dependecy( 'cs_dark_version', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_contacts_group', 'template', 'cs_layout1' );

	$shortcode->add_dependecy( 'cs_use_heading', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_use_content', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_heading_typo', 'cs_use_heading', 'true' );
	$shortcode->add_dependecy( 'cs_content_typo', 'cs_use_content', 'true' );


	$shortcode->add_params( [
		'cs_contacts_group' => [
			'type'    => 'group',
			'heading' => esc_html__( 'Djo Contacts', 'djo' ),
			'params'  => [
				'cs_heading' => [
					'type'    => 'text',
					'heading' => esc_html__( 'Heading', 'djo' ),
				],
				'cs_address' => [
					'type'    => 'textarea',
					'heading' => esc_html__( 'Address', 'djo' ),
				],
				'cs_phone'   => [
					'type'    => 'text',
					'heading' => esc_html__( 'Phone', 'djo' ),
				],

				'cs_email' => [
					'type'    => 'text',
					'heading' => esc_html__( 'Email', 'djo' ),
				],
			]
		],
		'cs_dark_version' => [
			'type'    => 'switch',
			'heading' => esc_html__('Enable dark version', 'djo'),
			'grid'    => 3,
		],
		'cs_use_heading' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for heading?', 'djo' ),
			'grid'    => 6,
		],
		'cs_use_content' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for content?', 'djo' ),
			'grid'    => 6,
		],
		'cs_heading_typo' => [
			'type'     => 'typography',
			'group'    => 'Contacts Title Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-contact__title',
		],
		'cs_content_typo' => [
			'type'     => 'typography',
			'group'    => 'Contacts Content Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-contact__info a, {{WRAPPER}} .aheto-contact__info p',
		],
	] );

	\Aheto\Params::add_carousel_params( $shortcode, [
		'custom_options' => true,
		'prefix'         => 'cs_contacts_',
		'include'        => [ 'arrows', 'loop', 'autoplay', 'speed', 'simulate_touch' ],
		'dependency'     => [ 'template', [ 'cs_layout1' ] ]
	] );
}
function djo_contacts_layout1_dynamic_css($css, $shortcode) {

	if ( !empty($shortcode->atts['cs_use_heading']) && !empty($shortcode->atts['cs_heading_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-contact__title'], $shortcode->parse_typography($shortcode->atts['cs_subtitle_typo']));
	}

	if ( !empty($shortcode->atts['cs_use_content']) && !empty($shortcode->atts['cs_content_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-contact__info a, %1$s .aheto-contact__info p'], $shortcode->parse_typography($shortcode->atts['cs_content_typo']));
	}

	return $css;
}

add_filter('aheto_contacts_dynamic_css', 'djo_contacts_layout1_dynamic_css', 10, 2);
