<?php

use Aheto\Helper;

add_action('aheto_before_aheto_contents_register', 'djo_contents_layout1');

/**
 * Contents shortcode
 */

function djo_contents_layout1($shortcode) {
	$theme_dir = DJO_T_URI . '/aheto/contents/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Djo Content', 'djo' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	]);

	djo_add_dependency('faqs', ['cs_layout1'], $shortcode);
	djo_add_dependency('first_is_opened', ['cs_layout1'], $shortcode);
	djo_add_dependency('multi_active', ['cs_layout1'], $shortcode);
	djo_add_dependency('title_typo', ['cs_layout1'], $shortcode);
	djo_add_dependency('text_typo', ['cs_layout1'], $shortcode);

	$shortcode->add_dependecy( 'cs_light_version', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_use_desc', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_desc_typo', 'cs_use_desc', 'true' );
	$shortcode->add_params( [
		'cs_light_version' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Enable light version?', 'djo' ),
			'grid'    => 3,
		],
		'cs_use_desc' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for description?', 'djo' ),
			'grid'    => 6,
		],

		'cs_desc_typo' => [
			'type'     => 'typography',
			'group'    => 'Description Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .djo-aheto-contents__desc',
		],
	] );
}
function djo_contents_layout1_dynamic_css($css, $shortcode) {

	if ( !empty($shortcode->atts['cs_use_desc']) && !empty($shortcode->atts['cs_desc_typo']) ) {
		\aheto_add_props($css['global']['%1$s .djo-aheto-contents__desc'], $shortcode->parse_typography($shortcode->atts['cs_desc_typo']));
	}

	return $css;
}

add_filter('aheto_contents_dynamic_css', 'djo_contents_layout1_dynamic_css', 10, 2);
