<?php
/**
 * The Contents Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

extract($atts);
$faqs = $this->parse_group($faqs);

if ( empty($faqs) ) {
	return '';
}

$cs_light_version = isset($cs_light_version) && $cs_light_version ? ' light-version ' : '';

$this->generate_css();
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'djo-aheto-contents');
$this->add_render_attribute( 'wrapper', 'class', $cs_light_version );
$this->add_render_attribute('wrapper', 'class', 'djo-aheto-contents--faq');
$this->add_render_attribute('wrapper', 'class', 'js-accordion-parent');

if (isset($multi_active) && !empty($multi_active)) {
	$this->add_render_attribute('wrapper', 'data-multiple', '1');
}

$sc_dir = DJO_T_URI . '/aheto/contents/';
wp_enqueue_style('djo-contents-css', $sc_dir . 'assets/css/cs_layout1.css', null, null);  
if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) : ?>
	<link href="<?php echo $sc_dir . 'assets/css/cs_layout1.css'?>" rel="stylesheet">
<?php endif;
?>

<div <?php $this->render_attribute_string('wrapper'); ?>>

	<?php
	foreach ( $faqs as $key => $item ) :

		$class_active = $key === 0 && $first_is_opened ? 'is-open' : '';
		$active_display = $key === 0 && $first_is_opened ? 'block' : 'none';

		if ( empty($item['title']) && empty($item['description']) ) {
			continue;
		}
		?>
		<div class="djo-aheto-contents__item <?php echo esc_attr($class_active); ?>">

			<?php if ( ! empty( $item['title'] ) ) : ?>
				<h5 class="djo-aheto-contents__title js-accordion" ><?php echo wp_kses_post($item['title']); ?></h5>
			<?php endif; ?>

			<?php if ( ! empty( $item['description'] ) ) : ?>
				<div class="djo-aheto-contents__panel js-accordion-text"  style="display: <?php echo esc_attr($active_display); ?>">
					<p class="djo-aheto-contents__desc">
					<ion-icon name="remove"></ion-icon>
						<?php echo wp_kses_post($item['description']); ?>
					</p>
				</div>
			<?php endif; ?>

		</div>

	<?php endforeach; ?>

</div>
