<?php

use Aheto\Helper;

add_action('aheto_before_aheto_custom-post-types_register', 'djo_custom_post_types_layout1');

/**
 * Custom Post Type Shortcode
 */

function djo_custom_post_types_layout1($shortcode) {
	$dir = DJO_T_URI . '/aheto/custom-post-types/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Djo Slider', 'djo' ),
		'image' => $dir . 'cs_layout1.jpg',
	]);

	$aheto_skins  = $shortcode->params['skin']['options'];
	$djo_skins = array(
		'cs_skin-1' => 'Djo skin',
		'cs_skin-2' => 'Djo skin banner',
	);

	djo_add_dependency('skin', ['cs_layout1'], $shortcode);
	djo_add_dependency(['use_heading', 't_heading'], ['cs_layout1'], $shortcode);
	djo_add_dependency('title_tag', ['cs_layout1'], $shortcode);
	djo_add_dependency('use_term', ['cs_layout1'], $shortcode);
	djo_add_dependency('t_term', ['cs_layout1'], $shortcode);

	$shortcode->add_dependecy('cs_align', 'template', 'cs_layout1');
	$shortcode->add_dependecy( 'cs_use_date', 'skin', 'cs_skin-2' );
	$shortcode->add_dependecy( 'cs_date_typo', 'cs_use_date', 'true' );
	$shortcode->add_dependecy( 'cs_use_desc', 'skin', 'cs_skin-2' );
	$shortcode->add_dependecy( 'cs_desc_typo', 'cs_use_desc', 'true' );
	$shortcode->add_params([
		'cs_align' => [
			'type'    => 'select',
			'heading' => esc_html__('Align', 'djo'),
			'options' => \Aheto\Helper::choices_alignment(),
		],
		'cs_use_date' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for date?', 'djo' ),
			'grid'    => 6,
		],

		'cs_date_typo' => [
			'type'     => 'typography',
			'group'    => 'Date Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-cpt-article__date',
		],
		'cs_use_desc' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for description?', 'djo' ),
			'grid'    => 6,
		],

		'cs_desc_typo' => [
			'type'     => 'typography',
			'group'    => 'Description Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-cpt-article__excerpt',
		],
	]);

	$all_skins = array_merge($aheto_skins, $djo_skins);
	$shortcode->params['skin']['options'] = $all_skins;

	\Aheto\Params::add_carousel_params( $shortcode, [
		'custom_options' => true,
		'prefix'         => 'cs_swiper_',
		'include'        => [ 'loop', 'arrows', 'autoplay', 'speed', 'slides', 'spaces', 'simulate_touch' ],
		'dependency'     => [ 'template', [ 'cs_layout1' ] ]
	]);
}
function djo_cpt_image_sizer_layouts( $image_sizer_layouts ) {

	$image_sizer_layouts[] = 'cs_layout1';
	return $image_sizer_layouts;
}

add_filter( 'aheto_cpt_image_sizer_layouts', 'djo_cpt_image_sizer_layouts', 10, 2 );

function djo_custom_post_type_layout1_dynamic_css($css, $shortcode) {

	if ( !empty($shortcode->atts['cs_use_date']) && !empty($shortcode->atts['cs_date_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-cpt-article__date'], $shortcode->parse_typography($shortcode->atts['cs_date_typo']));
	}
	if ( !empty($shortcode->atts['cs_use_desc']) && !empty($shortcode->atts['cs_desc_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-cpt-article__excerpt'], $shortcode->parse_typography($shortcode->atts['cs_desc_typo']));
	}

	return $css;
}

add_filter('aheto_custom_post_type_dynamic_css', 'djo_custom_post_type_layout1_dynamic_css', 10, 2);
