<?php

use Aheto\Helper;

add_action('aheto_before_aheto_heading_register', 'djo_heading_layout1');

/**
 * Heading Shortcode
 */

function djo_heading_layout1($shortcode) {
	$dir = DJO_T_URI . '/aheto/heading/previews/';

	$shortcode->add_layout('cs_layout1', [
		'title' => esc_html__('Djo Simple', 'djo'),
		'image' => $dir . 'cs_layout1.jpg',
	]);
	$shortcode->add_dependecy('cs_subtitle', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_use_descr_typo', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_descr_typo', 'cs_use_descr_typo', 'true');
	$shortcode->add_dependecy('cs_use_subtitle_typo', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_subtitle_tag', 'template', 'cs_layout1');
	$shortcode->add_dependecy('cs_subtitle_typo', 'cs_use_subtitle_typo', 'true');
	$shortcode->add_dependecy('cs_title_shadow', 'template', 'cs_layout1');
    djo_add_dependency('heading', ['cs_layout1'], $shortcode);
	djo_add_dependency('alignment', ['cs_layout1'], $shortcode);
	djo_add_dependency('source', ['cs_layout1'], $shortcode);
	djo_add_dependency('text_tag', ['cs_layout1'], $shortcode);
	djo_add_dependency('use_typo', ['cs_layout1'], $shortcode);
	djo_add_dependency('text_typo', ['cs_layout1'], $shortcode);
	djo_add_dependency('description', ['cs_layout1'], $shortcode);
	djo_add_dependency('use_typo_hightlight', ['cs_layout1'], $shortcode);
	djo_add_dependency('text_typo_hightlight', ['cs_layout1'], $shortcode);
	$shortcode->add_params([
		'cs_subtitle'          => [
			'type'        => 'textarea',
			'heading'     => esc_html__('Subtitle', 'djo'),
			'description' => esc_html__('Add some text for Subtitle', 'djo'),
			'admin_label' => true,
			'default'     => esc_html__('Add some text for Subtitle', 'djo'),
		],
		'cs_subtitle_tag'      => [
			'type'    => 'select',
			'heading' => esc_html__('Element tag for Subtitle', 'djo'),
			'options' => [
				'h1'  => 'h1',
				'h2'  => 'h2',
				'h3'  => 'h3',
				'h4'  => 'h4',
				'h5'  => 'h5',
				'h6'  => 'h6',
				'p'   => 'p',
				'div' => 'div',
			],
			'default' => 'p',
			'grid'    => 5,
		],
		'cs_use_subtitle_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Subtitle?', 'djo'),
			'grid'    => 3,
		],

		'cs_subtitle_typo' => [
			'type'     => 'typography',
			'group'    => 'Subtitle Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-heading__subtitle',
		],
		'cs_use_descr_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for Description?', 'djo'),
			'grid'    => 3,
		],
		'cs_descr_typo' => [
			'type'     => 'typography',
			'group'    => 'Description Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-heading__desc',
		],
		'cs_title_shadow' => [
			'type'    => 'switch',
			'heading' => esc_html__('Enable shadow for Title?', 'djo'),
			'grid'    => 3,
		],
	]);


}
function djo_heading_layout1_dynamic_css($css, $shortcode) {

	if ( !empty($shortcode->atts['cs_use_subtitle_typo']) && !empty($shortcode->atts['cs_subtitle_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-heading__subtitle'], $shortcode->parse_typography($shortcode->atts['cs_subtitle_typo']));
	}
	if ( !empty($shortcode->atts['cs_use_descr_typo']) && !empty($shortcode->atts['cs_descr_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-heading__desc'], $shortcode->parse_typography($shortcode->atts['cs_descr_typo']));
	}

	return $css;
}

add_filter('aheto_heading_dynamic_css', 'djo_heading_layout1_dynamic_css', 10, 2);

