<?php

use Aheto\Helper;

add_action('aheto_before_aheto_heading_register', 'djo_heading_layout2');

/**
 * Heading Shortcode
 */

function djo_heading_layout2($shortcode) {
	$dir = DJO_T_URI . '/aheto/heading/previews/';

	$shortcode->add_layout('cs_layout2', [
		'title' => esc_html__('Djo Background Text', 'djo'),
		'image' => $dir . 'cs_layout2.jpg',
	]);
	$shortcode->add_dependecy('cs_text', 'template', 'cs_layout2');
	$shortcode->add_dependecy('cs_use_text_typo', 'template', 'cs_layout2');
	$shortcode->add_dependecy('cs_text_typo', 'template', 'cs_layout2');
	$shortcode->add_dependecy('cs_text_typo', 'cs_use_text_typo', 'true');
	djo_add_dependency('text_tag', ['cs_layout2'], $shortcode);

	$shortcode->add_params([
		'cs_use_text_typo' => [
			'type'    => 'switch',
			'heading' => esc_html__('Use custom font for BG Text?', 'djo'),
			'grid'    => 3,
		],
		'cs_text_typo' => [
			'type'     => 'typography',
			'group'    => 'Bg Text Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-heading__bg-title',
		],
		'cs_text' => [
			'type'    => 'text',
			'heading' => esc_html__('Backgroun text', 'djo'),
			'grid'    => 12,
		],
	]);


}
function djo_heading_layout2_dynamic_css($css, $shortcode) {

	if ( !empty($shortcode->atts['cs_use_text_typo']) && !empty($shortcode->atts['cs_text_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-heading__bg-title'], $shortcode->parse_typography($shortcode->atts['cs_text_typo']));
	}

	return $css;
}

add_filter('aheto_heading_dynamic_css', 'djo_heading_layout2_dynamic_css', 10, 2);

