<?php
/**
 * The Heading Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */
extract( $atts );

$this->generate_css();

// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $element_id );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-heading' );
$this->add_render_attribute( 'wrapper', 'class', 'aheto-heading--djo__simple' );
$this->add_render_attribute( 'wrapper', 'class', $alignment );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );

$cs_title_shadow = $cs_title_shadow ? ' aheto-heading__title--shadow' : '';

/**
 * Set dependent style
 */
$sc_dir = DJO_T_URI . '/aheto/heading/';
wp_enqueue_style( 'djo-heading-simple', $sc_dir . 'assets/css/cs_layout1.css', null, null );
if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) : ?>
	<link href="<?php echo $sc_dir . 'assets/css/cs_layout1.css'?>" rel="stylesheet">
<?php endif; ?>

<div <?php $this->render_attribute_string( 'wrapper' ); ?>>

	<?php
		// Heading.
		$heading = $this->get_heading();

		if ( ! empty( $cs_subtitle ) ) {
			echo '<' . $cs_subtitle_tag . ' class="aheto-heading__subtitle">' . esc_html( $cs_subtitle ) . '</' . $cs_subtitle_tag . '>';
		}

		if ( ! empty( $heading ) ) {
			echo '<' . $text_tag . ' class="aheto-heading__title' . $cs_title_shadow . '">' . $this->highlight_text( $heading ) . '</' . $text_tag . '>';
		}
		
		if ( ! empty( $description ) ) {
			echo '<p class="aheto-heading__desc">' . wp_kses_post( $description ) . '</p>';
		}
	?>

</div>
