<?php
/**
 * The Media Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;
extract($atts);

if ( empty($cs_items) ) {
	return '';
}

wp_enqueue_script('magnific');

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute( 'wrapper', 'class', 'aheto-gallery' );
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());

/**
 * Set dependent style
 */
$sc_dir = DJO_T_URI . '/aheto/media/';
wp_enqueue_style('djo-gallery', $sc_dir . 'assets/css/cs_layout1.css', null, null);
wp_enqueue_script( 'djo-gallery-js', $sc_dir . 'assets/js/cs_layout1.js', array( 'jquery' ), null );
if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) : ?>
	<link href="<?php echo $sc_dir . 'assets/css/cs_layout1.css'?>" rel="stylesheet">
<?php endif;
$counter 	= 1;

$atts['cs_image_height'] = 600;
$atts['cs_image_width'] = 600;

?>
<div <?php $this->render_attribute_string('wrapper'); ?>>
	
	<div class="aheto-gallery__box">
		<?php foreach ( $cs_items as $index => $item ) : 
			$image		= $item['cs_image'];
			$title		= $item['cs_title'];
			$subtitle	= $item['cs_subtitle'];

			$preview_img = Helper::get_attachment($image, [], 'custom', $atts, 'cs_');
			
			$counter  = ($counter > 8) ? 1 : $counter;
			$itemClass	= 'aheto-gallery-item--' . $counter;
		?>
		
		<?php if( ($index > 0) && ($index % 8) == 0 ) { ?>
			</div>
			<div class="aheto-gallery__box">
		<?php } ?>

			<a href="<?php echo esc_url( $image['url'] ); ?>" class="aheto-gallery-item js-gallery-item s-back-switch <?php echo esc_attr($itemClass); ?>" data-effect="mfp-zoom-in">
				<?php echo wp_kses_post($preview_img); ?>
				<?php if ( ! empty( $title ) || ! empty( $subtitle ) ) { ?>
					<div class="aheto-gallery-item__hidden">
						<div class="aheto-gallery-item__content">
							<?php if ( ! empty( $title ) ) { ?>
								<h4 class="aheto-gallery-item__title"><?php echo esc_html( $title ); ?></h4>
							<?php } ?>
							<?php if ( ! empty( $subtitle ) ) { ?>
								<p class="aheto-gallery-item__subtitle"><?php echo esc_html( $subtitle ); ?></p>
							<?php } ?>
						</div>
					</div>
				<?php } ?>
			</a>

		<?php 
			$counter++;
			endforeach;
		?>
	</div>
</div>
