<?php

use Aheto\Helper;

add_action('aheto_before_aheto_navigation_register', 'djo_navigation_layout1');

/**
 * Navigation Shortcode
 */

function djo_navigation_layout1($shortcode) {

	$dir = DJO_T_URI . '/aheto/navigation/previews/';

	$shortcode->add_layout('cs_layout1', [
		'title' => esc_html__('Djo Single Page Navigation', 'djo'),
		'image' => $dir . 'cs_layout1.jpg',
	]);

	$shortcode->add_dependecy('cs_menus_right', 'template', 'cs_layout1');
	$shortcode->add_dependecy( 'cs_use_logo', 'type_logo', 'text' );
	$shortcode->add_dependecy( 'cs_logo_typo', 'cs_use_logo', 'true' );
	$shortcode->add_dependecy( 'cs_use_link', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_link_typo', 'cs_use_link', 'true' );
	djo_add_dependency('type_logo', ['cs_layout1'], $shortcode);
	djo_add_dependency('text_logo', ['cs_layout1'], $shortcode);
	djo_add_dependency('logo', ['cs_layout1'], $shortcode);
	djo_add_dependency('add_scroll_logo', ['cs_layout1'], $shortcode);
	djo_add_dependency('scroll_logo', ['cs_layout1'], $shortcode);
	djo_add_dependency('mob_logo', ['cs_layout1'], $shortcode);
	djo_add_dependency('add_mob_scroll_logo', ['cs_layout1'], $shortcode);
	djo_add_dependency('scroll_mob_logo', ['cs_layout1'], $shortcode);

	$shortcode->add_params([
		'cs_menus_right'         => [
			'type'        => 'select',
			'heading'     => esc_html__('Right Menu', 'djo'),
			'options'     => \Aheto\Helper::choices_nav_menu(),
			'description' => esc_html__('Use menu with one level items', 'djo'),
		],
		'cs_use_logo' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for logo text?', 'djo' ),
			'grid'    => 6,
		],

		'cs_logo_typo' => [
			'type'     => 'typography',
			'group'    => 'Text Logo Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .main-header__logo span',
		],
		'cs_use_link' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for link?', 'djo' ),
			'grid'    => 6,
		],

		'cs_link_typo' => [
			'type'     => 'typography',
			'group'    => 'Link Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .menu-item a',
		],
	]);
}
function djo_navigation_layout1_dynamic_css($css, $shortcode) {

	if ( !empty($shortcode->atts['cs_use_logo']) && !empty($shortcode->atts['cs_logo_typo']) ) {
		\aheto_add_props($css['global']['%1$s .main-header__logo span'], $shortcode->parse_typography($shortcode->atts['cs_logo_typo']));
	}
	if ( !empty($shortcode->atts['cs_use_link']) && !empty($shortcode->atts['cs_link_typo']) ) {
		\aheto_add_props($css['global']['%1$s .menu-item a'], $shortcode->parse_typography($shortcode->atts['cs_link_typo']));
	}

	return $css;
}

add_filter('aheto_navigation_dynamic_css', 'djo_navigation_layout1_dynamic_css', 10, 2);
