<?php

use Aheto\Helper;

add_action('aheto_before_aheto_social-networks_register', 'djo_social_networks_layout1');

/**
 * Social Networks
 */

function djo_social_networks_layout1($shortcode) {

	$theme_dir = DJO_T_URI . '/aheto/social-networks/previews/';

	$shortcode->add_layout( 'cs_layout1', [
		'title' => esc_html__( 'Djo Modern', 'djo' ),
		'image' => $theme_dir . 'cs_layout1.jpg',
	] );

	djo_add_dependency('networks', ['cs_layout1'], $shortcode);
	djo_add_dependency('size', ['cs_layout1'], $shortcode);
	djo_add_dependency('socials_align_mob', ['cs_layout1'], $shortcode);
	djo_add_dependency('socials_align', ['cs_layout1'], $shortcode);

	$shortcode->add_dependecy( 'cs_light_version', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_use_link', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_link_typo', 'cs_use_link', 'true' );
	$shortcode->add_params( [
		//Renaming to dark not working. This light set the dark style
		'cs_light_version' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Enable dark version?', 'djo' ),
			'grid'    => 3,
		],
		'cs_use_link' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for link?', 'djo' ),
			'grid'    => 6,
		],

		'cs_link_typo' => [
			'type'     => 'typography',
			'group'    => 'Link Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .aheto-socials__link',
		],
	] );
}
function djo_social_networks_layout1_dynamic_css($css, $shortcode) {

	if ( !empty($shortcode->atts['cs_use_link']) && !empty($shortcode->atts['cs_link_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-socials__link'], $shortcode->parse_typography($shortcode->atts['cs_link_typo']));
	}

	return $css;
}

add_filter('aheto_social_networks_dynamic_css', 'djo_social_networks_layout1_dynamic_css', 10, 2);
