<?php

use Aheto\Helper;

add_action('aheto_before_aheto_team-member_register', 'djo_team_member_layout1');

/**
 * Team member
 */

function djo_team_member_layout1($shortcode) {

	$dir = DJO_T_URI . '/aheto/team-member/previews/';

	$shortcode->add_layout('cs_layout1', [
		'title' => esc_html__('Djo Simple', 'djo'),
		'image' => $dir . 'cs_layout1.jpg',
	]);

	djo_add_dependency('image', ['cs_layout1'], $shortcode);
	djo_add_dependency('name', ['cs_layout1'], $shortcode);
	djo_add_dependency('designation', ['cs_layout1'], $shortcode);
	djo_add_dependency('networks', ['cs_layout1'], $shortcode);

	$shortcode->add_dependecy('cs_align', 'template', 'cs_layout1');
	$shortcode->add_dependecy( 'cs_use_soc', 'template', 'cs_layout1' );
	$shortcode->add_dependecy( 'cs_soc_typo', 'cs_use_soc', 'true' );
	$shortcode->add_params([
		'cs_align' => [
			'type'    => 'select',
			'heading' => esc_html__('Align', 'djo'),
			'options' => \Aheto\Helper::choices_alignment(),
		],
		'cs_use_soc' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for socials?', 'djo' ),
			'grid'    => 6,
		],

		'cs_soc_typo' => [
			'type'     => 'typography',
			'group'    => 'Socials Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => false,
			],
			'selector' => '{{WRAPPER}} .djo-team-member__link',
		],
	]);

	\Aheto\Params::add_image_sizer_params($shortcode, [
		'prefix'     => 'cs_',
		'dependency' => ['template', ['cs_layout1']]
	]);
}
function djo_team_member_layout1_dynamic_css($css, $shortcode) {

	if ( !empty($shortcode->atts['cs_use_soc']) && !empty($shortcode->atts['cs_soc_typo']) ) {
		\aheto_add_props($css['global']['%1$s .djo-team-member__link'], $shortcode->parse_typography($shortcode->atts['cs_soc_typo']));
	}

	return $css;
}

add_filter('aheto_team_member_dynamic_css', 'djo_team_member_layout1_dynamic_css', 10, 2);
