<?php

use Aheto\Helper;

add_action('aheto_before_aheto_testimonials_register', 'djo_testimonials_layout2');

/**
 * Testimonial member
 */

function djo_testimonials_layout2($shortcode) {
	$dir = DJO_T_URI . '/aheto/testimonials/previews/';

	$shortcode->add_layout('cs_layout2', [
		'title' => esc_html__('Djo Creative', 'djo'),
		'image' => $dir . 'cs_layout2.jpg',
	]);


	$shortcode->add_dependecy('cs_dark_version', 'template', 'cs_layout2');
	$shortcode->add_dependecy('cs_centered', 'template', 'cs_layout2');
	$shortcode->add_dependecy('cs_testimonials_creative_item', 'template', 'cs_layout2');
	$shortcode->add_dependecy( 'cs_use_title', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_title_typo', 'cs_use_title', 'true' );
	$shortcode->add_dependecy( 'cs_use_text', 'template', 'cs_layout2' );
	$shortcode->add_dependecy( 'cs_text_typo', 'cs_use_text', 'true' );

	$shortcode->add_params([
		'cs_dark_version'               => [
			'type'    => 'switch',
			'heading' => esc_html__('Enable light version?', 'djo'),
			'grid'    => 3,
		],
		'cs_centered'               => [
			'type'    => 'switch',
			'heading' => esc_html__('Enable centered slides?', 'djo'),
			'description' => esc_html__('If true, then active slide will be centered, not always on the left side', 'djo'),
			'grid'    => 3,
		],
		'cs_testimonials_creative_item' => [
			'type'    => 'group',
			'heading' => esc_html__('Modern Testimonials Items', 'djo'),
			'params'  => [
				'cs_image'       => [
					'type'    => 'attach_image',
					'heading' => esc_html__('Display Image', 'djo'),
				],
				'cs_name'        => [
					'type'    => 'text',
					'heading' => esc_html__('Name', 'djo'),
					'default' => esc_html__('Author name', 'djo'),
				],
				'cs_company'     => [
					'type'    => 'text',
					'heading' => esc_html__('Position', 'djo'),
					'default' => esc_html__('Author position', 'djo'),
				],
				'cs_title' => [
					'type'    => 'textarea',
					'heading' => esc_html__('Testimonial title', 'djo'),
					'default' => esc_html__('Just Wow!', 'djo'),
				],
				'cs_testimonial' => [
					'type'    => 'textarea',
					'heading' => esc_html__('Testimonial', 'djo'),
					'default' => esc_html__('Lorem ipsum dolor sit amet, consectetur adipiscing elit.', 'djo'),
				],
			],
		],
		'cs_use_title' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for title?', 'djo' ),
			'grid'    => 6,
		],

		'cs_title_typo' => [
			'type'     => 'typography',
			'group'    => 'Title Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-tm__title',
		],
		'cs_use_text' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for text?', 'djo' ),
			'grid'    => 6,
		],

		'cs_text_typo' => [
			'type'     => 'typography',
			'group'    => 'Text Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-tm__text',
		],
		'cs_use_name' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for name?', 'djo' ),
			'grid'    => 6,
		],

		'cs_name_typo' => [
			'type'     => 'typography',
			'group'    => 'Name Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-tm__name',
		],
		'cs_use_position' => [
			'type'    => 'switch',
			'heading' => esc_html__( 'Use custom font for position?', 'djo' ),
			'grid'    => 6,
		],

		'cs_position_typo' => [
			'type'     => 'typography',
			'group'    => 'Position Typography',
			'settings' => [
				'tag'        => false,
				'text_align' => true,
			],
			'selector' => '{{WRAPPER}} .aheto-tm__position',
		],
	]);

	\Aheto\Params::add_carousel_params($shortcode, [
		'custom_options' => true,
		'prefix'         => 'cs_swiper_',
		'include'        => ['speed', 'loop', 'autoplay', 'spaces', 'slides', 'simulate_touch'],
		'dependency'     => ['template', ['cs_layout2']]
	]);
}
function djo_testimonials_layout1_dynamic_css($css, $shortcode) {

	if ( !empty($shortcode->atts['cs_use_title']) && !empty($shortcode->atts['cs_title_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-tm__title'], $shortcode->parse_typography($shortcode->atts['cs_title_typo']));
	}
	if ( !empty($shortcode->atts['cs_use_text']) && !empty($shortcode->atts['cs_text_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-tm__text'], $shortcode->parse_typography($shortcode->atts['cs_text_typo']));
	}
	if ( !empty($shortcode->atts['cs_use_name']) && !empty($shortcode->atts['cs_name_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-tm__name'], $shortcode->parse_typography($shortcode->atts['cs_name_typo']));
	}
	if ( !empty($shortcode->atts['cs_use_position']) && !empty($shortcode->atts['cs_position_typo']) ) {
		\aheto_add_props($css['global']['%1$s .aheto-tm__position'], $shortcode->parse_typography($shortcode->atts['cs_position_typo']));
	}

	return $css;
}

add_filter('aheto_testimonials_dynamic_css', 'djo_testimonials_layout1_dynamic_css', 10, 2);
