<?php
/**
 * The Testimonials Shortcode.
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract($atts);

$cs_testimonials_creative_item = $this->parse_group($cs_testimonials_creative_item);
if ( empty($cs_testimonials_creative_item) ) {
	return '';
}

$this->generate_css();

// Wrapper.
$this->add_render_attribute('wrapper', 'id', $element_id);
$this->add_render_attribute('wrapper', 'class', $this->the_custom_classes());
$this->add_render_attribute('wrapper', 'class', 'aheto-tm-wrapper');
$this->add_render_attribute('wrapper', 'class', 'aheto-tm-wrapper--djo-creative');
$this->add_render_attribute('wrapper', 'class', 'js-creative-testimonials');

$cs_dark_version = isset($cs_dark_version) && $cs_dark_version ? 'light-version' : '';
$this->add_render_attribute('wrapper', 'class', $cs_dark_version);

// Swiper.
if ( !$custom_options ) {
	$speed  = 1000;
	$space  = 30;
	$slides = 1.8;
	$large  = 1.8;
	$medium = 1;
	$small  = 1;
}

/**
 * Set carousel params
 */
$carousel_default_params = [
	'speed'    => 1000,
	'autoplay' => 2000,
	'spaces'   => 30,
	'slides'   => 1.8
]; // will use when not chosen option 'Change slider params'

$carousel_params = Helper::get_carousel_params($atts, 'cs_swiper_', $carousel_default_params);

/**
 * Set dependent style
 */
$sc_dir = DJO_T_URI . '/aheto/testimonials/';
wp_enqueue_style('djo-testimonials-creative', $sc_dir . 'assets/css/cs_layout2.css', null, null);
if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) : ?>
	<link href="<?php echo $sc_dir . 'assets/css/cs_layout2.css'?>" rel="stylesheet">
<?php endif; ?>
<div <?php $this->render_attribute_string('wrapper'); ?>>

	<div class="swiper">

		<div class="swiper-container swiper_aheto_diff_slider" <?php echo esc_attr($carousel_params); ?> data-centeredSlides="<?php echo esc_attr($cs_centered); ?>">

			<div class="swiper-wrapper">

				<?php foreach ( $cs_testimonials_creative_item as $item ) : ?>

					<div class="swiper-slide">

						<div class="aheto-tm__slide-wrap">

							<div class="aheto-tm__content">
								<?php if( ! empty( $item['cs_title'] ) ) { ?>
									<p class="aheto-tm__title">
										<?php echo esc_html( $item['cs_title'] ); ?>
									</p>
								<?php } ?>
								<?php if ( ! empty( $item['cs_testimonial'] ) ) {
									echo '<blockquote><p class="aheto-tm__text">' . wp_kses_post($item['cs_testimonial']) . '</blockquote>';
								} ?>
							</div>

							<div class="aheto-tm__author">

								<?php if ( $item['cs_image'] ) :
									$atts['cs_image_height'] = 70;
									$atts['cs_image_width'] = 70;
									$preview_img = Helper::get_background_attachment($item['cs_image'], 'custom', $atts, 'cs_');	
								?>
									<div class="aheto-tm__avatar" <?php echo wp_kses_post($preview_img); ?>></div>
								<?php endif; ?>

								<div class="aheto-tm__info">
									<?php
									// Name.
									if ( ! empty( $item['cs_name'] ) ) {
										echo '<h5 class="aheto-tm__name">' . wp_kses_post($item['cs_name']) . '</h5>';
									}
									// Company.
									if ( ! empty( $item['cs_company'] ) ) {
										echo '<p class="aheto-tm__position">' . wp_kses_post($item['cs_company']) . '</p>';
									}
									?>
								</div>

							</div>

						</div>

					</div>

				<?php endforeach; ?>

			</div>

		</div>

	</div>

</div>
