<?php
/**
 * The Button Shortcode(Video-Inline ).
 *
 * @since      1.0.0
 * @package    Aheto
 * @subpackage Aheto\Shortcodes
 * @author     Upqode <info@upqode.com>
 */

use Aheto\Helper;

extract($atts);

$this->generate_css();

// Wrapper.
$this->add_render_attribute( 'wrapper', 'id', $this->atts['element_id'] );
$this->add_render_attribute( 'wrapper', 'class', $this->the_custom_classes() );


/**
 * Set dependent style
 */
$sc_dir = DJO_T_URI . '/aheto/video-btn/';

wp_enqueue_style( 'djo-videobtn-creative', $sc_dir . 'assets/css/cs_layout2.css', null, null );
wp_enqueue_script( 'djo-videobtn-creative-js', $sc_dir . 'assets/js/cs_layout2.min.js', array( 'jquery' ), null );
if ( \Elementor\Plugin::$instance->editor->is_edit_mode() ) : ?>
	<link href="<?php echo $sc_dir . 'assets/css/cs_layout2.css'?>" rel="stylesheet">
<?php endif;
/**
 * Get video ID
 */

if (preg_match('%(?:youtube(?:-nocookie)?\.com/(?:[^/]+/.+/|(?:v|e(?:mbed)?)/|.*[?&]v=)|youtu\.be/)([^"&?/ ]{11})%i', $atts["video_link"], $match)) {
    $video_id = $match[1];
}

// SEO-title for image
$cs_title = ! empty($cs_title) ? $cs_title : 'video';

$image = !empty( $cs_image['url'] ) ? Helper::get_attachment($cs_image, [], 'large') : '<img src="https://i.ytimg.com/vi/' . $video_id . '/maxresdefault.jpg">';
?>

<?php if( ! empty( $atts["video_link"] ) ): ?>

	<div class="aheto-video js-video" data-id="<?php echo esc_attr($video_id); ?>">
		<a class="aheto-video__link js-link s-back-switch" href="<?php echo 'https://youtu.be/' . $video_id; ?>">
			<?php echo wp_kses_post($image); ?>
		</a>
		<button class="aheto-video__button js-button" type="button" aria-label="<?php echo esc_html( 'Play video' , 'djo' ); ?>"></button>
	</div>

<?php endif; ?>