<?php
/**
 * Archive Template
 */

$count = isset( $posts->found_posts ) && ! empty( $posts->found_posts ) ? $posts->found_posts : '0';
$count_text = $count == '1' ? esc_html__( 'result found', 'djo' ) : esc_html__( 'results found', 'djo' );

get_header(); ?>
    <div class="djo-blog--banner">
		<?php if ( is_search() ) { ?>
            <div class="djo-blog--banner__title-wrap">
                <h1 class="djo-blog--banner__title"><?php esc_html_e( 'Showing results for ', 'djo' ); ?>
                    <span>"<?php echo esc_html( $term ); ?>"</span></h1>
                <div class="djo-blog--banner__count-results"><?php echo esc_html( $count . ' ' . $count_text ); ?></div>
            </div>
		<?php } else { ?>
            <div class="djo-blog--banner__title-wrap">
                <h1 class="djo-blog--banner__title"><?php esc_html_e( 'Blog', 'djo' ); ?></h1>
            </div>
		<?php } ?>
    </div>

<?php

if ( have_posts() ) :
	get_template_part( 'template-parts/blog', 'list-category' );

else : ?>
    <div class="djo-blog--search-page">
        <div class="container">
            <div class="row">
                <div class="col-12">
                    <h3 class="djo-blog--search-page__title"><?php esc_html_e( 'Sorry, no posts matched your criteria.', 'djo' ); ?></h3>
                    <div class="djo-blog--search-page__search-form">
						<?php get_search_form( true ); ?>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php endif;

get_footer();