<?php

$preloader       = \Aheto\Helper::get_settings( 'general.preloader' );
$preloader_text  = \Aheto\Helper::get_settings( 'general.preloader_text' );
$preloader_image = \Aheto\Helper::get_settings( 'general.preloader_image' );

if ( isset( $preloader ) && $preloader == 'simple' ) { ?>
    <div class="aheto-preloader"></div>
<?php } elseif ( isset( $preloader ) && $preloader == 'with_text' && ! empty( $preloader_text ) ) { ?>
    <div class="aheto-preloader">
        <div class="aheto-preloader__wrap">
            <svg viewBox="0 0 600 300">
                <symbol id="aheto-preloader__text">
                    <text text-anchor="middle" x="50%" y="50%"
                          dy="0.35em"><?php echo esc_html( $preloader_text ); ?></text>
                </symbol>
                <use class="aheto-preloader__text" xlink:href="#aheto-preloader__text"></use>
                <use class="aheto-preloader__text" xlink:href="#aheto-preloader__text"></use>
                <use class="aheto-preloader__text" xlink:href="#aheto-preloader__text"></use>
            </svg>
        </div>
    </div>
<?php } elseif ( isset( $preloader ) && $preloader == 'with_image' && ! empty( $preloader_image ) ) { ?>
    <div class="aheto-preloader">

        <img src="<?php echo esc_url( $preloader_image ); ?>" alt="<?php bloginfo( 'name' ); ?>">

    </div>
<?php } elseif ( isset( $preloader ) && $preloader == 'spinner' ) { ?>
    <div class="aheto-preloader">
        <div class="aheto-preloader__spinner">
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
            <div></div>
        </div>
    </div>
<?php }

do_action( 'aheto_header' );

