<?php
/*
 * Single post
 */

$active_plugin = function_exists( 'aheto' );

$protected = '';

if ( post_password_required() ) {
	$protected = 'protected-page';
}

$get_id    = get_the_ID();
$author_id = get_the_author_meta( 'ID' );

$comments_count = get_comments_number( $get_id );

$content_size_class = is_active_sidebar( 'djo-sidebar' ) ? 'col-12 col-lg-8' : 'col-12'; 

$nickname           = get_the_author();
$first_name         = get_the_author_meta('first_name', $author_id);
$last_name          = get_the_author_meta('last_name', $author_id);
$full_name          = ( ! empty( $first_name ) && ! empty( $last_name ) ) ? $first_name . ' ' . $last_name : $nickname;

?>


<div class="djo-blog--single-wrapper <?php echo esc_attr( $protected ); ?>">
    <div class="djo-blog--single__top-box">

        <?php if ( has_post_thumbnail() ) { ?>
            <?php $image_url = get_the_post_thumbnail_url( $get_id, 'full' );
            $image_id        = get_post_thumbnail_id( $get_id );
            $image_alt       = get_post_meta( $image_id, '_wp_attachment_image_alt', true ); ?>

            <img src="<?php echo esc_url( $image_url ); ?>" alt="<?php echo esc_attr( $image_alt ); ?>" class="js-bg">
        <?php } ?>

        <div class="container djo-blog--single__top-content">
            <div class="row">
                <div class="col-12">
                    <div class="djo-blog--single__columns">
                        <div class="djo-blog--single__top-content-left">

                            <div class="djo-blog--single__categories">
								<?php the_category( ' ' ); ?>
                            </div>

                            <?php the_title( '<h1 class="djo-blog--single__title t-center">', '</h1>' ); ?>
                            
                            <div class="djo-blog--single__about">
                                <div class="djo-blog--single__author">
                                    <?php echo get_avatar( $author_id, 50 );
                                    echo esc_html( 'by ' . $full_name ); ?>
                                </div>
                                <div class="djo-blog--single__date"><?php the_time( get_option( 'date_format' ) ); ?></div>
								<?php $active_plugin = function_exists('aheto') ? true : false;
								if ( $active_plugin == true ) {?>
                                <div class="djo-blog--single__views">
                                    <span class="ion-eye"></span>
                                    <?php echo gt_get_post_view(); ?>
                                </div>
                                <div class="djo-blog--single__comments-count"> 
                                    <span class="icon_chat_alt"></span>
                                    <?php printf(_nx( '%s Comment', '%s Comments', $comments_count, 'comments', 'djo' ), $comments_count); ?>
                                </div>
								<?php }?>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
    <div class="container djo-blog--single__post-content">
        <div class="row justify-content-center no-gutters">
            <div class="col-12 <?php echo esc_attr( $content_size_class ); ?>">
				

                <div class="djo-blog--single__content-wrapper">

					<?php the_content();
					wp_link_pages( 'link_before=<span class="djo-blog--single__pages">&link_after=</span>&before=<div class="djo-blog--single__post-nav"> <span>' . esc_html__( "Page:", 'djo' ) . ' </span> &after=</div>' ); ?>

                    <div class="djo-blog--single__share">

                        <?php                           
                            the_tags(
                                '<div class="djo-blog--single__tags">
                                <i class="icon_tags_alt"></i>',
                                ' / ',
                                '</div>' ); 
                        ?>

                        <?php 
                            if( $active_plugin ) { ?>
                                
                            <div class="aht-page__socials ml-auto">
                                <div class="aht-page__socials__text">
                                    <span><?php esc_html_e('Share Post', 'djo'); ?></span>
                                </div>

                                <div class="aht-page__socials__wrapper">
                                    <div class="aht-page__socials__icon"><i class="icon ion-android-share"></i></div>
                                    <div class="aht-page__socials__share">
                                        <a class="aht-page__socials__share__link" href="#" data-share="http://www.facebook.com/sharer.php?u=<?php esc_url(the_permalink()); ?>&amp;t=<?php echo esc_attr(urlencode(the_title('', '', false))); ?>" target="_blank">
                                            <i class="aht-page__socials__share__icon icon ion-social-facebook"></i>
                                        </a>
                                        <a class="aht-page__socials__share__link" href="#" data-share="http://twitter.com/home?status=<?php echo esc_attr(urlencode(the_title('', ' ', false))); ?><?php esc_url(the_permalink()); ?>" target="_blank">
                                            <i class="aht-page__socials__share__icon icon ion-social-twitter"></i>
                                        </a>
                                        <a class="aht-page__socials__share__link" href="#" data-share="http://linkedin.com/shareArticle?mini=true&amp;url=<?php esc_url(the_permalink()); ?>&amp;title=<?php echo esc_attr(urlencode(the_title('', '', false))); ?>" target="_blank">
                                            <i class="aht-page__socials__share__icon icon ion-social-linkedin"></i>
                                        </a>
                                    </div>
                                </div>
                            </div>
                            
                        <?php }
                        ?>
                       
                    </div>
                    
                    <?php if( $active_plugin ) { ?>
                        <div class="djo-blog--single__author-box">
                            <?php
                                
                                $description        = get_the_author_meta('description', $author_id);
                                $socials            = ['twitter', 'instagram', 'linkedin', 'facebook'];
                                
                            ?>

                            <div class="djo-blog--single__author-img">
                                <?php echo get_avatar( $author_id, 150 ); ?>
                            </div>
                            <div class="djo-blog--single__author-info">
                                <div class="djo-blog--single__author-top">
                                    <?php if( ! empty( $first_name ) || ! empty( $last_name ) ): ?>
                                        <h3 class="djo-blog--single__author-name">
                                            <?php echo esc_html( $full_name ); ?>
                                        </h3>
                                    <?php endif; ?>

                                    <ul class="djo-blog--single__author-socials">
                                        <?php foreach ( $socials as $social ) : 
                                            $url            =  get_the_author_meta( $social, $author_id );
                                            $social_class   = 'social_' . $social;
                                            if ( ! $url ) continue; ?>
                                            <li>
                                                <a href="<?php echo esc_url( $url ); ?>" target="_blank">
                                                    <span class="<?php echo esc_html( $social_class ) ?>"></span>
                                                </a>
                                            </li>
                                        <?php endforeach; ?>
                                    </ul>
                                </div>
                                <?php if( ! empty( $description ) ): ?>
                                    <p class="djo-blog--single__author-descr">
                                        <?php echo esc_html( $description ); ?>
                                    </p>
                                <?php endif; ?>
                            </div>

                        </div>
                    <?php } ?>
    
                        
                    <div class="djo-blog--single__pagination">
                        <div class="djo-blog--single__pagination-prev">
                            <?php $prev_post     = get_previous_post();
                                if ( ! empty( $prev_post ) ) :
                                    $prev_thumbnail = get_the_post_thumbnail_url( $prev_post->ID, 'thumbnail' );
                                    $prev_post_title = ! empty( get_the_title( $prev_post ) ) ? get_the_title( $prev_post ) : esc_html__( 'No title', 'djo' );
                                    $prev_link       = get_permalink( $prev_post ); ?>


                                    <?php if ( ! empty( $prev_thumbnail ) ) { ?>
                                    <a href="<?php echo esc_url( $prev_link ); ?>" class="img-wrap">
                                        <img src="<?php echo esc_url( $prev_thumbnail ); ?>"
                                            alt="<?php echo esc_attr( $prev_post_title ); ?>">
                                    </a>
                                <?php } ?>
                                <span>
                                    <a href="<?php echo esc_url( $prev_link ); ?>" class="content">
                                            <?php echo wp_kses_post( $prev_post_title ); ?>
                                    </a>
                                    <?php esc_html_e( 'Prev post', 'djo' ); ?>
                                </span>

                            <?php endif; ?>
                        </div>

                        <?php $next_post = get_next_post(); ?>
                        <div class="djo-blog--single__pagination-next">
                            <?php if ( ! empty( $next_post ) ) :
                                $next_thumbnail = get_the_post_thumbnail_url( $next_post->ID, 'thumbnail' );
                                $next_post_title = ! empty( get_the_title( $next_post ) ) ? get_the_title( $next_post ) : esc_html__( 'No title', 'djo' );
                                $next_link = get_permalink( $next_post ); ?>


                                <span>
                                    <a href="<?php echo esc_url( $next_link ); ?>" class="content">
                                        <?php echo wp_kses_post( $next_post_title ); ?>
                                    </a>
                                    <?php esc_html_e( 'Next post', 'djo' ); ?>
                                </span>
                                <?php if ( ! empty( $next_thumbnail ) ) { ?>
                                <a href="<?php echo esc_url( $next_link ); ?>" class="img-wrap">
                                    <img src="<?php echo esc_url( $next_thumbnail ); ?>"
                                        alt="<?php echo esc_attr( $next_post_title ); ?>">
                                </a>
                            <?php } ?>

                            <?php endif; ?>
                        </div>
                    </div>

                </div>

				<?php if ( comments_open() || '0' != get_comments_number() && wp_count_comments( $get_id ) ) { ?>
                    <div class="djo-blog--single__comments">
						<?php comments_template( '', true ); ?>
                    </div>
				<?php } ?>

            </div>
        </div>
    </div>
</div>